Bug 1127222 - backport upstream fix for memcached regarding a race condition
Summary: backport upstream fix for memcached regarding a race condition
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: memcached
Version: 6.6
Hardware: All
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 1075802
TreeView+ depends on / blocked
 
Reported: 2014-08-06 12:23 UTC by Felix Dewaleyne
Modified: 2018-12-06 17:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-03 10:47:37 UTC


Attachments (Terms of Use)

Description Felix Dewaleyne 2014-08-06 12:23:01 UTC
Description of problem:
backport upstream fix for memcached https://github.com/memcached/memcached/commit/e73bc2e5c0794cccd6f8ece63bc16433c40ed766

Version-Release number of selected component (if applicable):
1.4.4-3.el6 

How reproducible:
not reproduced yet, info missing from customer but notes on the github seem to show the impact of the issue

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
github comment on patch linked :

" I am the world's biggest moron.

of course there's a race condition, if you close the bloody socket before
setting the state to conn_closed. The amount of time I looked straight at it
and didn't see it is causing me physical pain."

customer reports being affected by this issue but has not provided any data to show he is. data will be collected and added to the bugzilla as is.


Note You need to log in before you can comment on or make changes to this bug.